Bug 12573 - Samba < 4.7 does not know about compatibleFeatures and requiredFeatures
Samba < 4.7 does not know about compatibleFeatures and requiredFeatures
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-09 23:29 UTC by Andrew Bartlett
Modified: 2017-02-15 10:47 UTC (History)
3 users (show)

See Also:


Attachments
patch cherry-picked from master (9.82 KB, patch)
2017-02-09 23:29 UTC, Andrew Bartlett
dbagnall: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-02-09 23:29:23 UTC
Created attachment 12913 [details]
patch cherry-picked from master

We need to reject loading a database from the future that declares requiredFeatures that we do not support. 

We also need to remove features from compatibleFeatures that we do not support, so that if re-used with a future (eg 4.7) release those features realise that the data is no longer sorted.

master includes a backup detection via magic attribute in @IDXATTR, but this costs a re-index, and back-porting this patch is more robust as it can also detect requiredFeatures.
Comment 1 Douglas Bagnall 2017-02-10 01:54:17 UTC
Comment on attachment 12913 [details]
patch cherry-picked from master

Can we please backport this to 4.5 and 4.6?
Comment 2 Karolin Seeger 2017-02-13 15:31:19 UTC
Pushed to autobuild-v4-{6,5}-test.
Comment 3 Karolin Seeger 2017-02-15 10:47:30 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to both branches.
Closing out bug report.

Thanks!